summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbuild-test.sh19
-rw-r--r--tests/src/dirs.proj2
2 files changed, 6 insertions, 15 deletions
diff --git a/build-test.sh b/build-test.sh
index 2de1f69e28..77b98e76d7 100755
--- a/build-test.sh
+++ b/build-test.sh
@@ -238,22 +238,13 @@ build_Tests()
echo "Starting the Managed Tests Build..."
- __ManagedTestBuiltMarker=${__TestBinDir}/managed_test_build
+ build_Tests_internal "Tests_Managed" "$__ProjectDir/tests/build.proj" "$__up" "Managed tests build (build tests)"
- if [ ! -f $__ManagedTestBuiltMarker ]; then
-
- build_Tests_internal "Tests_Managed" "$__ProjectDir/tests/build.proj" "$__up" "Managed tests build (build tests)"
-
- if [ $? -ne 0 ]; then
- echo "${__MsgPrefix}Error: build failed. Refer to the build log files for details (above)"
- exit 1
- else
- echo "Tests have been built."
- echo "Create marker \"${__ManagedTestBuiltMarker}\""
- touch $__ManagedTestBuiltMarker
- fi
+ if [ $? -ne 0 ]; then
+ echo "${__MsgPrefix}Error: build failed. Refer to the build log files for details (above)"
+ exit 1
else
- echo "Managed Tests had been built before."
+ echo "Managed tests build success!"
fi
if [ $__BuildTestWrappers -ne -0 ]; then
diff --git a/tests/src/dirs.proj b/tests/src/dirs.proj
index b6f9f6daf7..f7d1aadea9 100644
--- a/tests/src/dirs.proj
+++ b/tests/src/dirs.proj
@@ -34,7 +34,7 @@
</ItemGroup>
<!-- Unix builds do not support subgroups -->
- <ItemGroup Condition="$(__BuildOS) != 'Windows_NT' And $(__TestGroupToBuild) == '1' And $(TestBuildSlice) == '1'">
+ <ItemGroup Condition="$(__BuildOS) != 'Windows_NT'" >
<Project Include="*\**\*.csproj" Exclude="@(DisabledProjects)">
<AdditionalProperties>OSGroup=$(OSGroup)</AdditionalProperties>
</Project>